extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de unidades de medida"
    - var CabeceraListado = ["Unidad de Medida", "Descripción"]
    - var CantidadListado = "{{ tUnidades.length }}"
    - var TituloDatos = "Detalles de Unidad de medida"
    - var TamanoColeccion = "tUnidades.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tUnidadFor of tUnidades | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Unidad_Eliminar(tUnidadFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Unidad(tUnidadFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs {{ tUnidadFor.Codunidadmedida }}
        td
            h6.text-xs.text-nowrap {{ tUnidadFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-unidad-medida-cabecera([(UnidadMedida)]="tUnidadActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-unidad-medida-detalles([(UnidadMedida)]="tUnidadActual")
